=== modified file 'qreator/QreatorWindow.py'
--- qreator/QreatorWindow.py	2012-06-15 12:15:39 +0000
+++ qreator/QreatorWindow.py	2012-06-23 08:42:52 +0000
@@ -239,6 +239,9 @@
 
         model = widget.get_model()
         qr_id = model[item][COL_ID]
+        self.switch_qrcode_view(qr_id)
+
+    def switch_qrcode_view(self, qr_id):
         self.qr_types[qr_id].widget.on_activated()
 
         def switch_callback(page):

=== modified file 'qreator/__init__.py'
--- qreator/__init__.py	2012-05-30 08:33:06 +0000
+++ qreator/__init__.py	2012-06-23 08:42:52 +0000
@@ -1,16 +1,16 @@
 # -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
 ### BEGIN LICENSE
 # Copyright (C) 2012 David Planella <david.planella@ubuntu.com>
-# This program is free software: you can redistribute it and/or modify it 
-# under the terms of the GNU General Public License version 3, as published 
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
 # by the Free Software Foundation.
-# 
-# This program is distributed in the hope that it will be useful, but 
-# WITHOUT ANY WARRANTY; without even the implied warranties of 
-# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranties of
+# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
 # PURPOSE.  See the GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License along 
+#
+# You should have received a copy of the GNU General Public License along
 # with this program.  If not, see <http://www.gnu.org/licenses/>.
 ### END LICENSE
 
@@ -44,6 +44,12 @@
     parser.add_option(
         "-w", "--wifi", dest="view", action="store_const", const="wifi",
         help=UTF8_("Create a QR code for WiFi settings"))
+    parser.add_option(
+        "-s", "--software", dest="view", action="store_const", const="software",
+        help=UTF8_("Create a QR code for an app from the software-center"))
+    parser.add_option(
+        "-b", "--businesscard", dest="view", action="store_const", const="vcard",
+        help=UTF8_("Create a QR code for a business card"))
     (options, args) = parser.parse_args()
 
     set_up_logging(options)
@@ -59,12 +65,17 @@
     window.show()
     if getattr(options, 'view', None) is not None:
         if options.view == 'url':
-            window.on_qr_url_clicked()
+            qr_id = 0
         elif options.view == 'text':
-            window.on_qr_text_clicked()
+            qr_id = 1
         elif options.view == 'location':
-            window.on_qr_location_clicked()
+            qr_id = 2
         elif options.view == 'wifi':
-            window.on_qr_wifi_clicked()
+            qr_id = 3
+        elif options.view == 'vcard':
+            qr_id = 4
+        elif options.view == 'software':
+            qr_id = 5
+        window.switch_qrcode_view(qr_id)
         window.ui.notebook1.set_current_page(QreatorWindow.PAGE_QR)
     Gtk.main()

